Показано с 1 по 8 из 8

Тема: Перестала работать панель после обновления до 5.173.1

  1. #1
    Junior Member
    Регистрация
    07.09.2017
    Сообщений
    6

    По умолчанию Перестала работать панель после обновления до 5.173.1

    Добрый день.
    После последнего обновления перестала работать панель.
    Последние записи в логе /usr/local/mgr5/var/ispmgr.log

    Oct 10 10:14:09 [15475:1] config EXTINFO Load config data from '/usr/local/mgr5/etc/conf.d/httpd-itk.conf'
    Oct 10 10:14:09 [15475:1] config EXTINFO Load config data from '/usr/local/mgr5/etc/ispmgr.conf.d/mysql.conf'
    Oct 10 10:14:09 [15475:1] config EXTINFO Load config data from '/usr/local/mgr5/etc/conf.d/exim.conf'
    Oct 10 10:14:09 [15475:1] config EXTINFO Load config data from '/usr/local/mgr5/etc/conf.d/spamassassin-exim.conf'
    Oct 10 10:14:09 [15475:1] config EXTINFO Load config data from '/usr/local/mgr5/etc/conf.d/roundcube.conf'
    Oct 10 10:14:09 [15475:1] config EXTINFO Load config data from '/usr/local/mgr5/etc/ispmgr.conf'
    Oct 10 10:14:09 [15475:1] action EXTINFO Register action 'modulesloaded'
    Oct 10 10:14:09 [15475:1] action EXTINFO Register action 'modulesfailed'
    Oct 10 10:14:09 [15475:1] core WARNING 38 modules were skipped due dependences
    Oct 10 10:14:09 [15475:1] core FATAL Library libmgr linked to lib/libmgr.so.5.173.1 conflicting with already loaded one
    Попробовал обновить вручную: /usr/local/mgr5/sbin/pkgupgrade.sh coremanager
    Прошло успешно, ошибок не выдало.
    Попробовал перезапустить killall core, не помогло.

    Отдаленно понимаю, что проблема в конфликте библиотек.
    Подскажите, пожалуйста, куда смотреть, что править?

  2. #2
    Support team Аватар для usaafko
    Регистрация
    06.10.2013
    Сообщений
    2,351

    По умолчанию

    В /usr/local/mgr5/lib скорее всего лежит еще одна библиотека libmgr старой версии. Переместите её куда-нибудь или напишите нам в поддержку - поможем

  3. #3
    Junior Member
    Регистрация
    07.09.2017
    Сообщений
    6

    По умолчанию

    Спасибо за столь скорый ответ, usaafko.

    Я проверил версию: /usr/local/mgr5/bin/core ispmgr -v
    Показывает 5.168.0
    При этом в /usr/local/mgr5/lib лежат файлы для 5.173.1 (см. аттач)
    Получает нужно удалить все файлы с версией 5.168.0 и перезапустить панель, или наоборот?
    И как такое могло получиться?

    10-10-2018 10-33-08.jpg

  4. #4
    Support team Аватар для usaafko
    Регистрация
    06.10.2013
    Сообщений
    2,351

    По умолчанию

    Скорее всего установка пакетов не дошла до конца. Покажите
    rpm -qa | grep manager

  5. #5
    Junior Member
    Регистрация
    07.09.2017
    Сообщений
    6

    По умолчанию

    Результат: rpm -qa | grep manager
    ispmanager-pkg-clamav-clamd-5.168.0-1.el7.centos.x86_64
    coremanager-pkg-mysql-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-greylisting-exim-5.168.0-1.el7.centos.x86_64
    ispmanager-plugin-oneclickssl-5.168.0-1.el7.centos.x86_64
    coremanager-pkg-ipset-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-phpfpm-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-bind-5.168.0-1.el7.centos.x86_64
    ispmanager-plugin-virusdie-5.168.0-1.el7.centos.x86_64
    ispmanager-plugin-cloudflare-5.168.0-1.el7.centos.x86_64
    coremanager-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-dovecot-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-nginx-5.168.0-1.el7.centos.x86_64
    coremanager-pkg-php-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-roundcube-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-myadmin-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-sieve-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-phpext-ioncube-5.168.0-1.el7.centos.x86_64
    coremanager-5.173.1-1.el7.centos.x86_64
    ispmanager-lite-common-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-clamav-exim-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-logrotate-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-mysql-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-awstats-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-opendkim-exim-5.168.0-1.el7.centos.x86_64
    ispmanager-plugin-letsencrypt-5.168.0-1.el7.centos.x86_64
    coremanager-pkg-fail2ban-5.168.0-1.el7.centos.x86_64
    ispmanager-plugins-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-httpd-itk-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-php-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-proftpd-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-exim-5.168.0-1.el7.centos.x86_64
    coremanager-pkg-bind-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-spamassassin-exim-5.168.0-1.el7.centos.x86_64
    ispmanager-pkg-quota-5.168.0-1.el7.centos.x86_64

  6. #6
    Support team Аватар для usaafko
    Регистрация
    06.10.2013
    Сообщений
    2,351

    По умолчанию

    Можно сделать так:
    Код:
    cp -a /usr/local/mgr5 /usr/local/mgr5.bak
    rpm -e --justdb coremanager-5.173.1-1.el7.centos.x86_64
    yum install ispmanager-pkg-clamav-clamd coremanager-pkg-mysql ispmanager-pkg-greylisting-exim ispmanager-plugin-oneclickssl coremanager-pkg-ipset ispmanager-pkg-phpfpm ispmanager-pkg-bind ispmanager-plugin-virusdie ispmanager-plugin-cloudflare coremanager ispmanager-pkg-dovecot ispmanager-pkg-nginx coremanager-pkg-php ispmanager-pkg-roundcube ispmanager-pkg-myadmin ispmanager-pkg-sieve ispmanager-pkg-phpext-ioncube ispmanager-lite-common ispmanager-pkg-clamav-exim ispmanager-pkg-logrotate ispmanager-pkg-mysql ispmanager-pkg-awstats ispmanager-pkg-opendkim-exim ispmanager-plugin-letsencrypt coremanager-pkg-fail2ban ispmanager-plugins ispmanager-pkg-httpd-itk ispmanager-pkg-php ispmanager-pkg-proftpd ispmanager-pkg-exim coremanager-pkg-bind ispmanager-pkg-spamassassin-exim ispmanager-pkg-quota
    Это удалит из базы информацию об установки нового пакета coremanager и запустит операцию обновления всех пакетов 168 до 173 версии. Если все пройдет ок - лишние либы будут удалены автоматом

  7. #7
    Junior Member
    Регистрация
    07.09.2017
    Сообщений
    6

    По умолчанию

    Большое спасибо за помощь, usaafko.
    Все прошло успешно.
    /usr/local/mgr5.bak я так понимаю можно удалять, если все ок?

  8. #8
    Support team Аватар для usaafko
    Регистрация
    06.10.2013
    Сообщений
    2,351

    По умолчанию

    Да, конечно

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •